Update Team Projects
https://app.fossa.com/api/teams/{id}/projectsUpdate team projects by adding, removing, or replacing projects assigned to the team
Path parameters
idintegerrequiredID of the team
Request body (required) · application/json
actionenumrequiredAction to perform on team projects
addremovereplaceprojectsstring[] | enumProjects to add, remove, or replace (can be array of locators or "all")
filtersobjectFilter criteria to select projects when not specifying explicit project list
titlestringFilter by project title
labelsinteger[]Filter by label IDs
typestringFilter by project type
lastRevisionWithinstringFilter by last revision date
isPublicbooleanFilter by public/private status
Responses
200Team projects updated successfullyidintegerTeam ID
projectsstring[]Updated list of project locators assigned to the team
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/teams/1/projectscurl --request PUT \ --url 'https://app.fossa.com/api/teams/1/projects' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "action": "add", "projects": [ "git+github.com/example/project1", "git+github.com/example/project2" ]}'Real request. Mutating methods can change data.
Path params
idintegerrequiredID of the team